Index: arch/sh/mm/init.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/sh/mm/init.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/sh/mm/init.c	22 Jul 2004 19:48:57 -0000	1.1
+++ arch/sh/mm/init.c	4 Aug 2004 01:26:13 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: init.c,v 1.1 2004/07/22 19:48:57 joff Exp $
+/* $Id: init.c,v 1.2 2004/08/04 01:26:13 joff Exp $
  *
  *  linux/arch/sh/mm/init.c
  *
@@ -139,7 +139,7 @@
 void __init mem_init(void)
 {
 	extern unsigned long empty_zero_page[1024];
-	int codesize, reservedpages, datasize, initsize;
+	int codesize, reservedpages, datasize, bsssize, initsize, pagemapsize;
 	int tmp;
 
 	max_mapnr = num_physpages = MAX_LOW_PFN - START_PFN;
@@ -163,15 +163,19 @@
 			reservedpages++;
 	codesize =  (unsigned long) &_etext - (unsigned long) &_text;
 	datasize =  (unsigned long) &_edata - (unsigned long) &_etext;
+	bsssize  =  (unsigned long) &_end - (unsigned long) &__bss_start;
 	initsize =  (unsigned long) &__init_end - (unsigned long) &__init_begin;
+	pagemapsize = (max_mapnr + 1)*sizeof(struct page);
 
-	printk("Memory: %luk/%luk available (%dk kernel code, %dk reserved, %dk data, %dk init)\n",
-		(unsigned long) nr_free_pages() << (PAGE_SHIFT-10),
-		max_mapnr << (PAGE_SHIFT-10),
-		codesize >> 10,
-		reservedpages << (PAGE_SHIFT-10),
-		datasize >> 10,
-		initsize >> 10);
+	printk("Memory: %luk/%luk available (%dk reserved including: %dk kernel code, %dk data, %dk BSS, %dk init, %dk page map)\n",
+	       (unsigned long) nr_free_pages() << (PAGE_SHIFT-10),
+	       max_mapnr << (PAGE_SHIFT-10),
+	       reservedpages << (PAGE_SHIFT-10),
+	       codesize >> 10,
+	       datasize >> 10,
+	       bsssize >> 10,
+	       initsize >> 10,
+	       pagemapsize >> 10);
 
 	p3_cache_init();
 }
Index: arch/sh/mm/ioremap.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/sh/mm/ioremap.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/sh/mm/ioremap.c	22 Jul 2004 19:48:57 -0000	1.1
+++ arch/sh/mm/ioremap.c	4 Aug 2004 01:26:13 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: ioremap.c,v 1.1 2004/07/22 19:48:57 joff Exp $
+/* $Id: ioremap.c,v 1.2 2004/08/04 01:26:13 joff Exp $
  *
  * arch/sh/mm/ioremap.c
  *
Index: arch/sh/stboards/setup.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/sh/stboards/setup.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/sh/stboards/setup.c	22 Jul 2004 19:48:57 -0000	1.1
+++ arch/sh/stboards/setup.c	4 Aug 2004 01:26:13 -0000	1.2
@@ -48,3 +48,31 @@
 
 	return 0;
 }
+
+#ifdef CONFIG_PCI
+/*
+ * PCI based boards need a function that maps IRQ's to given PCI
+ * slots. This code is used by the st40 pci routines in arch/sh/kernel
+ */
+ 
+int __init pcibios_map_platform_irq(struct pci_dev *dev, u8 slot, u8 pin)
+{
+    	switch (slot) {
+#ifdef CONFIG_SH_STB1_HARP
+	case 2:		/*This is the PCI slot on the */
+		return HARP_PCI_IRQ;
+	case 1:		/* this is the bridge */
+		return HARP_BRIDGE_IRQ;
+#elif defined(CONFIG_SH_STB1_OVERDRIVE)
+	case 1:
+	case 2:
+	case 3:
+		return slot - 1;
+#else
+#error Unknown board
+#endif
+	default:
+		return -1;
+	}
+}
+#endif
Index: arch/sparc/Makefile
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/sparc/Makefile,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/sparc/Makefile	22 Jul 2004 19:49:20 -0000	1.1
+++ arch/sparc/Makefile	4 Aug 2004 01:26:14 -0000	1.2
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.1 2004/07/22 19:49:20 joff Exp $
+# $Id: Makefile,v 1.2 2004/08/04 01:26:14 joff Exp $
 # sparc/Makefile
 #
 # Makefile for the architecture dependent flags and dependencies on the
Index: arch/sparc/config.in
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/sparc/config.in,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/sparc/config.in	22 Jul 2004 19:49:20 -0000	1.1
+++ arch/sparc/config.in	4 Aug 2004 01:26:14 -0000	1.2
@@ -1,4 +1,4 @@
-# $Id: config.in,v 1.1 2004/07/22 19:49:20 joff Exp $
+# $Id: config.in,v 1.2 2004/08/04 01:26:14 joff Exp $
 # For a description of the syntax of this configuration file,
 # see Documentation/kbuild/config-language.txt.
 #
@@ -30,6 +30,10 @@
 
 bool 'Symmetric multi-processing support (does not work on sun4/sun4c)' CONFIG_SMP
 
+if [ "$CONFIG_SMP" = "y" ]; then
+   int  'Maximum number of CPUs (2-32)' CONFIG_NR_CPUS 32
+fi
+
 # Identify this as a Sparc32 build
 define_bool CONFIG_SPARC32 y
 
@@ -73,6 +77,7 @@
 tristate 'Kernel support for ELF binaries' CONFIG_BINFMT_ELF
 tristate 'Kernel support for MISC binaries' CONFIG_BINFMT_MISC
 bool 'SunOS binary emulation' CONFIG_SUNOS_EMUL
+bool 'Select task to kill on out of memory condition' CONFIG_OOM_KILLER
 source drivers/parport/Config.in
 dep_tristate '  Parallel printer support' CONFIG_PRINTER $CONFIG_PARPORT
 endmenu
@@ -123,14 +128,12 @@
   if [ "$CONFIG_IDE" != "n" ]; then
     source drivers/ide/Config.in
   else
-    define_bool CONFIG_BLK_DEV_IDE_MODES n
     define_bool CONFIG_BLK_DEV_HD n
   fi
   endmenu
 else
 
   define_bool CONFIG_IDE n
-  define_bool CONFIG_BLK_DEV_IDE_MODES n
   define_bool CONFIG_BLK_DEV_HD n
 fi
 
@@ -210,8 +213,8 @@
         dep_tristate '  PPP BSD-Compress compression' CONFIG_PPP_BSDCOMP m
 	if [ "$CONFIG_EXPERIMENTAL" = "y" ]; then
 	  dep_tristate '  PPP over Ethernet (EXPERIMENTAL)' CONFIG_PPPOE $CONFIG_PPP
-	  if [ "$CONFIG_ATM" = "y" ]; then
-	    dep_tristate '  PPP over ATM (EXPERIMENTAL)' CONFIG_PPPOATM $CONFIG_PPP
+	  if [ "$CONFIG_ATM" = "y" -o "$CONFIG_ATM" = "m" ]; then
+	    dep_tristate '  PPP over ATM (EXPERIMENTAL)' CONFIG_PPPOATM $CONFIG_PPP $CONFIG_ATM
 	  fi
 	fi
       fi
@@ -236,7 +239,7 @@
 #      if [ "$CONFIG_FDDI" = "y" ]; then
 #      fi
 
-      if [ "$CONFIG_ATM" = "y" ]; then
+      if [ "$CONFIG_ATM" != "n" ]; then
 	 source drivers/atm/Config.in
       fi
    fi
@@ -274,6 +277,9 @@
    bool '  Spinlock debugging' CONFIG_DEBUG_SPINLOCK
 fi
 
+int 'Kernel messages buffer length shift (0 = default)' CONFIG_LOG_BUF_SHIFT 0
+
 endmenu
 
+source crypto/Config.in
 source lib/Config.in
Index: arch/sparc/boot/Makefile
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/sparc/boot/Makefile,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/sparc/boot/Makefile	22 Jul 2004 19:49:21 -0000	1.1
+++ arch/sparc/boot/Makefile	4 Aug 2004 01:26:14 -0000	1.2
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.1 2004/07/22 19:49:21 joff Exp $
+# $Id: Makefile,v 1.2 2004/08/04 01:26:14 joff Exp $
 # Makefile for the Sparc boot stuff.
 #
 # Copyright (C) 1995 David S. Miller (davem@caip.rutgers.edu)
Index: arch/sparc/boot/btfixupprep.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/sparc/boot/btfixupprep.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/sparc/boot/btfixupprep.c	22 Jul 2004 19:49:21 -0000	1.1
+++ arch/sparc/boot/btfixupprep.c	4 Aug 2004 01:26:14 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: btfixupprep.c,v 1.1 2004/07/22 19:49:21 joff Exp $
+/* $Id: btfixupprep.c,v 1.2 2004/08/04 01:26:14 joff Exp $
    Simple utility to prepare vmlinux image for sparc.
    Resolves all BTFIXUP uses and settings and creates
    a special .s object to link to the image.
@@ -167,6 +167,8 @@
 			}
 		} else if (buffer[nbase+4] != '_')
 			continue;
+		if (!strcmp (sect, ".text.exit"))
+			continue;
 		if (strcmp (sect, ".text") && strcmp (sect, ".text.init") && strcmp (sect, ".fixup") && (strcmp (sect, "__ksymtab") || buffer[nbase+3] != 'f')) {
 			if (buffer[nbase+3] == 'f')
 				fprintf(stderr, "Wrong use of '%s' in '%s' section. It can be only used in .text, .text.init, .fixup and __ksymtab\n", buffer + shift, sect);
Index: arch/sparc/boot/piggyback.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/sparc/boot/piggyback.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/sparc/boot/piggyback.c	22 Jul 2004 19:49:21 -0000	1.1
+++ arch/sparc/boot/piggyback.c	4 Aug 2004 01:26:14 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: piggyback.c,v 1.1 2004/07/22 19:49:21 joff Exp $
+/* $Id: piggyback.c,v 1.2 2004/08/04 01:26:14 joff Exp $
    Simple utility to make a single-image install kernel with initial ramdisk
    for Sparc tftpbooting without need to set up nfs.
 
Index: arch/sparc/kernel/check_asm.sh
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/sparc/kernel/check_asm.sh,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/sparc/kernel/check_asm.sh	22 Jul 2004 19:49:21 -0000	1.1
+++ arch/sparc/kernel/check_asm.sh	4 Aug 2004 01:26:14 -0000	1.2
@@ -11,7 +11,7 @@
     echo "	sizeof(struct $2_struct)," >> $4
   ;;
   -ints)
-    sed -n -e '/check_asm_data:/,/\.size/p' <$2 | sed -e 's/check_asm_data://' -e 's/\.size.*//' -e 's/\.ident.*//' -e 's/\.global.*//' -e 's/\.long[ 	]\([0-9]*\)/\1,/' >>$3
+    sed -n -e '/check_asm_data:/,/\.size/p' <$2 | sed -e 's/check_asm_data://' -e 's/\.size.*//' -e 's/\.ident.*//' -e 's/\.global.*//' -e 's/\.section.*//' -e 's/\.long[ 	]\([0-9]*\)/\1,/' >>$3
   ;;
   *)
     exit 1
Index: arch/sparc/kernel/devices.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/sparc/kernel/devices.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/sparc/kernel/devices.c	22 Jul 2004 19:49:21 -0000	1.1
+++ arch/sparc/kernel/devices.c	4 Aug 2004 01:26:14 -0000	1.2
@@ -15,7 +15,7 @@
 #include <asm/smp.h>
 #include <asm/system.h>
 
-struct prom_cpuinfo linux_cpus[32];
+struct prom_cpuinfo linux_cpus[NR_CPUS];
 int linux_num_cpus = 0;
 
 extern void cpu_probe(void);
@@ -72,7 +72,7 @@
 		if (linux_num_cpus == 0) {
 			printk("No CPU nodes found, cannot continue.\n");
 			/* Probably a sun4e, Sun is trying to trick us ;-) */
-			halt();
+			prom_halt();
 		}
 		printk("Found %d CPU prom device tree node(s).\n", linux_num_cpus);
 	}
Index: arch/sparc/kernel/ebus.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/sparc/kernel/ebus.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/sparc/kernel/ebus.c	22 Jul 2004 19:49:21 -0000	1.1
+++ arch/sparc/kernel/ebus.c	4 Aug 2004 01:26:14 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: ebus.c,v 1.1 2004/07/22 19:49:21 joff Exp $
+/* $Id: ebus.c,v 1.2 2004/08/04 01:26:14 joff Exp $
  * ebus.c: PCI to EBus bridge device.
  *
  * Copyright (C) 1997  Eddie C. Dost  (ecd@skynet.be)
Index: arch/sparc/kernel/entry.S
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/sparc/kernel/entry.S,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/sparc/kernel/entry.S	22 Jul 2004 19:49:21 -0000	1.1
+++ arch/sparc/kernel/entry.S	4 Aug 2004 01:26:14 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: entry.S,v 1.1 2004/07/22 19:49:21 joff Exp $
+/* $Id: entry.S,v 1.2 2004/08/04 01:26:14 joff Exp $
  * arch/sparc/kernel/entry.S:  Sparc trap low-level entry points.
  *
  * Copyright (C) 1995 David S. Miller (davem@caip.rutgers.edu)
Index: arch/sparc/kernel/errtbls.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/sparc/kernel/errtbls.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/sparc/kernel/errtbls.c	22 Jul 2004 19:49:21 -0000	1.1
+++ arch/sparc/kernel/errtbls.c	4 Aug 2004 01:26:14 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: errtbls.c,v 1.1 2004/07/22 19:49:21 joff Exp $
+/* $Id: errtbls.c,v 1.2 2004/08/04 01:26:14 joff Exp $
  * errtbls.c: Error number conversion tables between various syscall
  *            OS semantics.
  *
Index: arch/sparc/kernel/etrap.S
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/sparc/kernel/etrap.S,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/sparc/kernel/etrap.S	22 Jul 2004 19:49:21 -0000	1.1
+++ arch/sparc/kernel/etrap.S	4 Aug 2004 01:26:14 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: etrap.S,v 1.1 2004/07/22 19:49:21 joff Exp $
+/* $Id: etrap.S,v 1.2 2004/08/04 01:26:14 joff Exp $
  * etrap.S: Sparc trap window preparation for entry into the
  *          Linux kernel.
  *
Index: arch/sparc/kernel/head.S
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/sparc/kernel/head.S,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/sparc/kernel/head.S	22 Jul 2004 19:49:21 -0000	1.1
+++ arch/sparc/kernel/head.S	4 Aug 2004 01:26:14 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: head.S,v 1.1 2004/07/22 19:49:21 joff Exp $
+/* $Id: head.S,v 1.2 2004/08/04 01:26:14 joff Exp $
  * head.S: The initial boot code for the Sparc port of Linux.
  *
  * Copyright (C) 1995 David S. Miller (davem@caip.rutgers.edu)
Index: arch/sparc/kernel/idprom.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/sparc/kernel/idprom.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/sparc/kernel/idprom.c	22 Jul 2004 19:49:21 -0000	1.1
+++ arch/sparc/kernel/idprom.c	4 Aug 2004 01:26:14 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: idprom.c,v 1.1 2004/07/22 19:49:21 joff Exp $
+/* $Id: idprom.c,v 1.2 2004/08/04 01:26:14 joff Exp $
  * idprom.c: Routines to load the idprom into kernel addresses and
  *           interpret the data contained within.
  *
Index: arch/sparc/kernel/ioport.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/sparc/kernel/ioport.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/sparc/kernel/ioport.c	22 Jul 2004 19:49:21 -0000	1.1
+++ arch/sparc/kernel/ioport.c	4 Aug 2004 01:26:14 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: ioport.c,v 1.1 2004/07/22 19:49:21 joff Exp $
+/* $Id: ioport.c,v 1.2 2004/08/04 01:26:14 joff Exp $
  * ioport.c:  Simple io mapping allocator.
  *
  * Copyright (C) 1995 David S. Miller (davem@caip.rutgers.edu)
@@ -760,7 +760,7 @@
 	default:
 		printk("ioport_init: cpu type %d is unknown.\n",
 		    sparc_cpu_model);
-		halt();
+		prom_halt();
 	};
 
 }
Index: arch/sparc/kernel/irq.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/sparc/kernel/irq.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/sparc/kernel/irq.c	22 Jul 2004 19:49:21 -0000	1.1
+++ arch/sparc/kernel/irq.c	4 Aug 2004 01:26:14 -0000	1.2
@@ -1,4 +1,4 @@
-/*  $Id: irq.c,v 1.1 2004/07/22 19:49:21 joff Exp $
+/*  $Id: irq.c,v 1.2 2004/08/04 01:26:14 joff Exp $
  *  arch/sparc/kernel/irq.c:  Interrupt request handling routines. On the
  *                            Sparc the IRQ's are basically 'cast in stone'
  *                            and you are supposed to probe the prom's device
Index: arch/sparc/kernel/muldiv.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/sparc/kernel/muldiv.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/sparc/kernel/muldiv.c	22 Jul 2004 19:49:21 -0000	1.1
+++ arch/sparc/kernel/muldiv.c	4 Aug 2004 01:26:14 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: muldiv.c,v 1.1 2004/07/22 19:49:21 joff Exp $
+/* $Id: muldiv.c,v 1.2 2004/08/04 01:26:14 joff Exp $
  * muldiv.c: Hardware multiply/division illegal instruction trap
  *		for sun4c/sun4 (which do not have those instructions)
  *
Index: arch/sparc/kernel/pcic.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/sparc/kernel/pcic.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/sparc/kernel/pcic.c	22 Jul 2004 19:49:21 -0000	1.1
+++ arch/sparc/kernel/pcic.c	4 Aug 2004 01:26:14 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: pcic.c,v 1.1 2004/07/22 19:49:21 joff Exp $
+/* $Id: pcic.c,v 1.2 2004/08/04 01:26:14 joff Exp $
  * pcic.c: Sparc/PCI controller support
  *
  * Copyright (C) 1998 V. Roganov and G. Raiko
Index: arch/sparc/kernel/process.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/sparc/kernel/process.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/sparc/kernel/process.c	22 Jul 2004 19:49:21 -0000	1.1
+++ arch/sparc/kernel/process.c	4 Aug 2004 01:26:14 -0000	1.2
@@ -1,4 +1,4 @@
-/*  $Id: process.c,v 1.1 2004/07/22 19:49:21 joff Exp $
+/*  $Id: process.c,v 1.2 2004/08/04 01:26:14 joff Exp $
  *  linux/arch/sparc/kernel/process.c
  *
  *  Copyright (C) 1995 David S. Miller (davem@caip.rutgers.edu)
Index: arch/sparc/kernel/rtrap.S
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/sparc/kernel/rtrap.S,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/sparc/kernel/rtrap.S	22 Jul 2004 19:49:21 -0000	1.1
+++ arch/sparc/kernel/rtrap.S	4 Aug 2004 01:26:14 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: rtrap.S,v 1.1 2004/07/22 19:49:21 joff Exp $
+/* $Id: rtrap.S,v 1.2 2004/08/04 01:26:14 joff Exp $
  * rtrap.S: Return from Sparc trap low-level code.
  *
  * Copyright (C) 1995 David S. Miller (davem@caip.rutgers.edu)
Index: arch/sparc/kernel/semaphore.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/sparc/kernel/semaphore.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/sparc/kernel/semaphore.c	22 Jul 2004 19:49:21 -0000	1.1
+++ arch/sparc/kernel/semaphore.c	4 Aug 2004 01:26:14 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: semaphore.c,v 1.1 2004/07/22 19:49:21 joff Exp $ */
+/* $Id: semaphore.c,v 1.2 2004/08/04 01:26:14 joff Exp $ */
 
 /* sparc32 semaphore implementation, based on i386 version */
 
Index: arch/sparc/kernel/setup.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/sparc/kernel/setup.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/sparc/kernel/setup.c	22 Jul 2004 19:49:21 -0000	1.1
+++ arch/sparc/kernel/setup.c	4 Aug 2004 01:26:14 -0000	1.2
@@ -1,4 +1,4 @@
-/*  $Id: setup.c,v 1.1 2004/07/22 19:49:21 joff Exp $
+/*  $Id: setup.c,v 1.2 2004/08/04 01:26:14 joff Exp $
  *  linux/arch/sparc/kernel/setup.c
  *
  *  Copyright (C) 1995  David S. Miller (davem@caip.rutgers.edu)
Index: arch/sparc/kernel/signal.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/sparc/kernel/signal.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/sparc/kernel/signal.c	22 Jul 2004 19:49:21 -0000	1.1
+++ arch/sparc/kernel/signal.c	4 Aug 2004 01:26:14 -0000	1.2
@@ -1,4 +1,4 @@
-/*  $Id: signal.c,v 1.1 2004/07/22 19:49:21 joff Exp $
+/*  $Id: signal.c,v 1.2 2004/08/04 01:26:14 joff Exp $
  *  linux/arch/sparc/kernel/signal.c
  *
  *  Copyright (C) 1991, 1992  Linus Torvalds
@@ -1131,6 +1131,8 @@
 			line = d_path(map->vm_file->f_dentry,
 				      map->vm_file->f_vfsmnt,
 				      buffer, PAGE_SIZE);
+			if (IS_ERR(line))
+				break;
 		}
 		printk(MAPS_LINE_FORMAT, map->vm_start, map->vm_end, str, map->vm_pgoff << PAGE_SHIFT,
 			      kdevname(dev), ino);
Index: arch/sparc/kernel/sparc-stub.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/sparc/kernel/sparc-stub.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/sparc/kernel/sparc-stub.c	22 Jul 2004 19:49:21 -0000	1.1
+++ arch/sparc/kernel/sparc-stub.c	4 Aug 2004 01:26:14 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: sparc-stub.c,v 1.1 2004/07/22 19:49:21 joff Exp $
+/* $Id: sparc-stub.c,v 1.2 2004/08/04 01:26:14 joff Exp $
  * sparc-stub.c:  KGDB support for the Linux kernel.
  *
  * Modifications to run under Linux
Index: arch/sparc/kernel/sparc_ksyms.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/sparc/kernel/sparc_ksyms.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/sparc/kernel/sparc_ksyms.c	22 Jul 2004 19:49:21 -0000	1.1
+++ arch/sparc/kernel/sparc_ksyms.c	4 Aug 2004 01:26:14 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: sparc_ksyms.c,v 1.1 2004/07/22 19:49:21 joff Exp $
+/* $Id: sparc_ksyms.c,v 1.2 2004/08/04 01:26:14 joff Exp $
  * arch/sparc/kernel/ksyms.c: Sparc specific ksyms support.
  *
  * Copyright (C) 1996 David S. Miller (davem@caip.rutgers.edu)
Index: arch/sparc/kernel/sun4d_irq.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/sparc/kernel/sun4d_irq.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/sparc/kernel/sun4d_irq.c	22 Jul 2004 19:49:21 -0000	1.1
+++ arch/sparc/kernel/sun4d_irq.c	4 Aug 2004 01:26:14 -0000	1.2
@@ -1,4 +1,4 @@
-/*  $Id: sun4d_irq.c,v 1.1 2004/07/22 19:49:21 joff Exp $
+/*  $Id: sun4d_irq.c,v 1.2 2004/08/04 01:26:14 joff Exp $
  *  arch/sparc/kernel/sun4d_irq.c:
  *			SS1000/SC2000 interrupt handling.
  *
Index: arch/sparc/kernel/sun4d_smp.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/sparc/kernel/sun4d_smp.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/sparc/kernel/sun4d_smp.c	22 Jul 2004 19:49:21 -0000	1.1
+++ arch/sparc/kernel/sun4d_smp.c	4 Aug 2004 01:26:14 -0000	1.2
@@ -351,11 +351,11 @@
 			unsigned long a3 asm("i3") = arg3;
 			unsigned long a4 asm("i4") = arg4;
 			unsigned long a5 asm("i5") = arg5;
-					
-			__asm__ __volatile__("
-				std %0, [%6]
-				std %2, [%6 + 8]
-				std %4, [%6 + 16]" : : 
+
+			__asm__ __volatile__(
+				"std %0, [%6]\n\t"
+				"std %2, [%6 + 8]\n\t"
+				"std %4, [%6 + 16]\n\t" : :
 				"r"(f), "r"(a1), "r"(a2), "r"(a3), "r"(a4), "r"(a5),
 				"r" (&ccall_info.func));
 		}
Index: arch/sparc/kernel/sunos_asm.S
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/sparc/kernel/sunos_asm.S,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/sparc/kernel/sunos_asm.S	22 Jul 2004 19:49:21 -0000	1.1
+++ arch/sparc/kernel/sunos_asm.S	4 Aug 2004 01:26:14 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: sunos_asm.S,v 1.1 2004/07/22 19:49:21 joff Exp $
+/* $Id: sunos_asm.S,v 1.2 2004/08/04 01:26:14 joff Exp $
  * sunos_asm.S: SunOS system calls which must have a low-level
  *              entry point to operate correctly.
  *
Index: arch/sparc/kernel/sunos_ioctl.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/sparc/kernel/sunos_ioctl.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/sparc/kernel/sunos_ioctl.c	22 Jul 2004 19:49:21 -0000	1.1
+++ arch/sparc/kernel/sunos_ioctl.c	4 Aug 2004 01:26:14 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: sunos_ioctl.c,v 1.1 2004/07/22 19:49:21 joff Exp $
+/* $Id: sunos_ioctl.c,v 1.2 2004/08/04 01:26:14 joff Exp $
  * sunos_ioctl.c: The Linux Operating system: SunOS ioctl compatibility.
  * 
  * Copyright (C) 1995 Miguel de Icaza (miguel@nuclecu.unam.mx)
Index: arch/sparc/kernel/sys_sparc.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/sparc/kernel/sys_sparc.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/sparc/kernel/sys_sparc.c	22 Jul 2004 19:49:21 -0000	1.1
+++ arch/sparc/kernel/sys_sparc.c	4 Aug 2004 01:26:14 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: sys_sparc.c,v 1.1 2004/07/22 19:49:21 joff Exp $
+/* $Id: sys_sparc.c,v 1.2 2004/08/04 01:26:14 joff Exp $
  * linux/arch/sparc/kernel/sys_sparc.c
  *
  * This file contains various random system calls that
@@ -123,7 +123,10 @@
 	if (call <= SEMCTL)
 		switch (call) {
 		case SEMOP:
-			err = sys_semop (first, (struct sembuf *)ptr, second);
+			err = sys_semtimedop (first, (struct sembuf *)ptr, second, NULL);
+			goto out;
+		case SEMTIMEDOP:
+			err = sys_semtimedop (first, (struct sembuf *)ptr, second, (const struct timespec *) fifth);
 			goto out;
 		case SEMGET:
 			err = sys_semget (first, second, third);
Index: arch/sparc/kernel/sys_sunos.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/sparc/kernel/sys_sunos.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/sparc/kernel/sys_sunos.c	22 Jul 2004 19:49:21 -0000	1.1
+++ arch/sparc/kernel/sys_sunos.c	4 Aug 2004 01:26:14 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: sys_sunos.c,v 1.1 2004/07/22 19:49:21 joff Exp $
+/* $Id: sys_sunos.c,v 1.2 2004/08/04 01:26:14 joff Exp $
  * sys_sunos.c: SunOS specific syscall compatibility support.
  *
  * Copyright (C) 1995 David S. Miller (davem@caip.rutgers.edu)
@@ -193,7 +193,7 @@
 	 * fool it, but this should catch most mistakes.
 	 */
 	freepages = atomic_read(&buffermem_pages) >> PAGE_SHIFT;
-	freepages += atomic_read(&page_cache_size);
+	freepages += page_cache_size;
 	freepages >>= 1;
 	freepages += nr_free_pages();
 	freepages += nr_swap_pages;
@@ -688,8 +688,8 @@
 
 static int sunos_nfs_mount(char *dir_name, int linux_flags, void *data)
 {
-	int  server_fd;
-	char *the_name;
+	int  server_fd, err;
+	char *the_name, *mount_page;
 	struct nfs_mount_data linux_nfs_mount;
 	struct sunos_nfs_mount_args sunos_mount;
 
@@ -742,7 +742,16 @@
 	linux_nfs_mount.hostname [255] = 0;
 	putname (the_name);
 	
-	return do_mount ("", dir_name, "nfs", linux_flags, &linux_nfs_mount);
+	mount_page = (char *) get_zeroed_page(GFP_KERNEL);
+	if (!mount_page)
+		return -ENOMEM;
+
+	memcpy(mount_page, &linux_nfs_mount, sizeof(linux_nfs_mount));
+
+	err = do_mount("", dir_name, "nfs", linux_flags, mount_page);
+
+	free_page((unsigned long) mount_page);
+	return err;
 }
 
 asmlinkage int
Index: arch/sparc/kernel/systbls.S
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/sparc/kernel/systbls.S,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/sparc/kernel/systbls.S	22 Jul 2004 19:49:21 -0000	1.1
+++ arch/sparc/kernel/systbls.S	4 Aug 2004 01:26:14 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: systbls.S,v 1.1 2004/07/22 19:49:21 joff Exp $
+/* $Id: systbls.S,v 1.2 2004/08/04 01:26:14 joff Exp $
  * systbls.S: System call entry point tables for OS compatibility.
  *            The native Linux system call table lives here also.
  *
Index: arch/sparc/kernel/time.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/sparc/kernel/time.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/sparc/kernel/time.c	22 Jul 2004 19:49:21 -0000	1.1
+++ arch/sparc/kernel/time.c	4 Aug 2004 01:26:14 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: time.c,v 1.1 2004/07/22 19:49:21 joff Exp $
+/* $Id: time.c,v 1.2 2004/08/04 01:26:14 joff Exp $
  * linux/arch/sparc/kernel/time.c
  *
  * Copyright (C) 1995 David S. Miller (davem@caip.rutgers.edu)
Index: arch/sparc/kernel/trampoline.S
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/sparc/kernel/trampoline.S,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/sparc/kernel/trampoline.S	22 Jul 2004 19:49:21 -0000	1.1
+++ arch/sparc/kernel/trampoline.S	4 Aug 2004 01:26:14 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: trampoline.S,v 1.1 2004/07/22 19:49:21 joff Exp $
+/* $Id: trampoline.S,v 1.2 2004/08/04 01:26:14 joff Exp $
  * trampoline.S: SMP cpu boot-up trampoline code.
  *
  * Copyright (C) 1995 David S. Miller (davem@caip.rutgers.edu)
Index: arch/sparc/kernel/traps.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/sparc/kernel/traps.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/sparc/kernel/traps.c	22 Jul 2004 19:49:21 -0000	1.1
+++ arch/sparc/kernel/traps.c	4 Aug 2004 01:26:14 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: traps.c,v 1.1 2004/07/22 19:49:21 joff Exp $
+/* $Id: traps.c,v 1.2 2004/08/04 01:26:14 joff Exp $
  * arch/sparc/kernel/traps.c
  *
  * Copyright 1995 David S. Miller (davem@caip.rutgers.edu)
Index: arch/sparc/kernel/unaligned.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/sparc/kernel/unaligned.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/sparc/kernel/unaligned.c	22 Jul 2004 19:49:21 -0000	1.1
+++ arch/sparc/kernel/unaligned.c	4 Aug 2004 01:26:14 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: unaligned.c,v 1.1 2004/07/22 19:49:21 joff Exp $
+/* $Id: unaligned.c,v 1.2 2004/08/04 01:26:14 joff Exp $
  * unaligned.c: Unaligned load/store trap handling with special
  *              cases for the kernel to do them more quickly.
  *
Index: arch/sparc/kernel/wof.S
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/sparc/kernel/wof.S,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/sparc/kernel/wof.S	22 Jul 2004 19:49:21 -0000	1.1
+++ arch/sparc/kernel/wof.S	4 Aug 2004 01:26:15 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: wof.S,v 1.1 2004/07/22 19:49:21 joff Exp $
+/* $Id: wof.S,v 1.2 2004/08/04 01:26:15 joff Exp $
  * wof.S: Sparc window overflow handler.
  *
  * Copyright (C) 1995 David S. Miller (davem@caip.rutgers.edu)
Index: arch/sparc/kernel/wuf.S
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/sparc/kernel/wuf.S,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/sparc/kernel/wuf.S	22 Jul 2004 19:49:21 -0000	1.1
+++ arch/sparc/kernel/wuf.S	4 Aug 2004 01:26:15 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: wuf.S,v 1.1 2004/07/22 19:49:21 joff Exp $
+/* $Id: wuf.S,v 1.2 2004/08/04 01:26:15 joff Exp $
  * wuf.S: Window underflow trap handler for the Sparc.
  *
  * Copyright (C) 1995 David S. Miller
Index: arch/sparc/lib/Makefile
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/sparc/lib/Makefile,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/sparc/lib/Makefile	22 Jul 2004 19:49:20 -0000	1.1
+++ arch/sparc/lib/Makefile	4 Aug 2004 01:26:15 -0000	1.2
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.1 2004/07/22 19:49:20 joff Exp $
+# $Id: Makefile,v 1.2 2004/08/04 01:26:15 joff Exp $
 # Makefile for Sparc library files..
 #
 
Index: arch/sparc/lib/ashldi3.S
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/arch/sparc/lib/ashldi3.S,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- arch/sparc/lib/ashldi3.S	22 Jul 2004 19:49:21 -0000	1.1
+++ arch/sparc/lib/ashldi3.S	4 Aug 2004 01:26:15 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: ashldi3.S,v 1.1 2004/07/22 19:49:21 joff Exp $
+/* $Id: ashldi3.S,v 1.2 2004/08/04 01:26:15 joff Exp $
  * ashldi3.S:	GCC emits these for certain drivers playing
  *		with long longs.
  *
